import { __decorate } from "tslib";
import { customElement, observable } from '@microsoft/fast-element';
import { FoundationElement } from '@microsoft/fast-foundation';
import { ColumnTemplate as template } from './column.template';
let GridColumn = class GridColumn extends FoundationElement {
    constructor() {
        super(...arguments);
        this.definition = {};
    }
    slottedAgCellChanged() { }
};
__decorate([
    observable
], GridColumn.prototype, "slottedAgCell", void 0);
__decorate([
    observable
], GridColumn.prototype, "definition", void 0);
GridColumn = __decorate([
    customElement({
        name: 'grid-pro-column',
        template,
    })
], GridColumn);
export { GridColumn };
