import { foundationGridProActionRenderer, foundationGridProActionsMenuRenderer, foundationAgBooleanRenderer, foundationAgSelectRenderer, foundationAgTextRenderer, } from './cell-renderers';
import { foundationGridPro } from './grid-pro';
export const foundationGridComponents = {
    foundationGridProActionRenderer,
    foundationGridProActionsMenuRenderer,
    foundationAgBooleanRenderer,
    foundationAgTextRenderer,
    foundationAgSelectRenderer,
    foundationGridPro,
    register(container, ...rest) {
        if (!container) {
            return;
        }
        for (const key in this) {
            if (key === 'register') {
                continue;
            }
            this[key]().register(container, ...rest);
        }
    },
};
