import { html, repeat, when } from '@microsoft/fast-element';
export function gridProColumns(itemsBinding, includeRenderers = true) {
    return html `
    ${repeat(typeof itemsBinding === 'function' ? itemsBinding : () => itemsBinding, html `
        <grid-pro-column :definition=${(x) => x}>
          ${when((x) => includeRenderers && x.cellRenderer, html `
              <grid-pro-cell
                :renderer="${(x) => x.cellRenderer}"
                :rendererParams="${(x) => x.cellRendererParams}"
              ></grid-pro-cell>
            `)}
        </grid-pro-column>
      `)}
  `;
}
